Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# keymap.hh File Reference

A GdkKeymap C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gdk/types.hh>`
`#include <xfc/pango/types.hh>`
`#include <vector>`
`#include <xfc/gdk/inline/keymap.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::KeymapKey
    A GdkKeymapKey C++ wrapper class. More...
- class Xfc::Gdk::Keymap
    A GdkKeymap C++ wrapper class. More...

## Detailed Description

A GdkKeymap C++ wrapper interface.

Provides Keymap and KeymapKey, two objects that can be used for manipulating keyboard codes.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3